%example for the creation of a multiple body design-centering problem.

%For a multiple-body design-centering problem we need one container and
%arbitrary many designs. The number of designs shouldn't be to large.
%Otherwiese it will take very much time to solve the problem. For a more
%detailed description of getting a design have a look at
%'exCreateDCProblems' and 'exCreateDesigns'.
%choosing some designs
design1=DesignCircle
design2=DesignHyperEllipse(2)
design3=DesignCircle

%choosing one container
container=ContainerTriangle

%We get the GSIPProblem with the constructor of the class
%'MBProblemAsGSIP'. The constructor at first wants the container, then the
%distance that should be between the different designs and then the designs
problem=MultipleBodiesDCProblemAsGSIP(container,0,design1,design2,design3)
%The designs will be seperated with Hyperplanes. The init values of the
%problem are the init values of the different designs. So if we choose two
%times the same design, we have two times the same init values.

%A local solution can look as follows:
problem.plotSols([-0.6908,-0.6908,0.3092,2.0915,-1.0000,0.7184,1.3183,-0.2816,4.0039,-0.6312,...
    0.3688,0.4572,0.8894,-0.6210,0.7071,0.7071,-0.0000,0.9975,-0.0711,3.6698],[],[])