function [ DmuL ] = DmuLowLevLagrangeFun(obj,i,x,y,mu)
    %Returns the derivative with respect to mu of  the largrange function 
    %for the i-th lower level problem. The first elements of mu correspond 
    %to the constraints u. The next to the linear constraint, then come the
    %upper bounds and the last elements belong to the lower bounds. 
    %The bounds which are inf or -inf are dropped.

    %objective Function for the i-th LowerLevelProblem
    %For adding the constraints find the index of the IndexSet
    indexSet=obj.getIndexSetOfSemiInfConstr(i);
    
    DmuL=-obj.evalAllLowLevConstrs(indexSet,x,y);    
    
%     %Add the non linear constraints
%     if obj.nrOfLowLevNonlinConstrs(indexSet)>0
%         DmuL=[DmuL,-obj.evalLowLevNonlinConstrs(indexSet,x,y)];
%     end
%     %Add the linear constraints    
%     [A,b]=obj.getLinIneqsOnLowLevVars(indexSet,x);
%     DmuL=[DmuL,-(A*y'-b)'];
% 
%     %Add the boundaries
%     [lb,ub]=obj.getBoundsOnLowLevVars(indexSet,x);
%     constrlb=lb-y;
%     %drop the boundaries with -inf
%     constrlb=constrlb(constrlb~=-inf);
%     DmuL=[DmuL,-constrlb];
%     
%     construb=y-ub;
%     construb=construb(construb~=-inf);
%     DmuL=[DmuL,-construb];

end

